Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Question MCPE 0.12.x compatible PocketMine

Comments in 'General Discussion' started by Jazzwhistle, Sep 7, 2015.

  1. Samueljh1H8sLag
    Offline

    Samueljh1H8sLag Active Member

    Joined:
    Jun 20, 2015
    Posts:
    168
    Minecraft User:
    Samueljh1_

    Attached Files:

  2. linuzo
    Offline

    linuzo Active Member

    Joined:
    May 11, 2014
    Posts:
    50
    Minecraft User:
    LINUZO
    Yes that is because the plugin is not updated to API 1.13 I believe..
  3. Jazzwhistle
    Offline

    Jazzwhistle Notable Member

    Joined:
    Dec 27, 2014
    Posts:
    364
    Minecraft User:
    Awzaw
    From what I read updating most plugins should be quite simple, so I'll start looking into that as I'm sure some plugins might never be updated by the Dev.
  4. Jazzwhistle
    Offline

    Jazzwhistle Notable Member

    Joined:
    Dec 27, 2014
    Posts:
    364
    Minecraft User:
    Awzaw
    The 1.6 phar file shoghicp posted on twitter does that pretty much, but even simpleauth doesn't work. The version jojoe posted does just about allow simple auth to authenticate, I think, but not much more than that.
  5. linuzo
    Offline

    linuzo Active Member

    Joined:
    May 11, 2014
    Posts:
    50
    Minecraft User:
    LINUZO
    Yeah, the one I posted allows you to authenticate.. Gives an error message however but it does authenticate.

    Wish kids understood that servers don't get released the same time as MCPE does so not to update right away if you want to play on servers..

    Oh well.. @shoghicp should have an update for us soon im expecting.. :)
  6. WillotheBlessed
    Offline

    WillotheBlessed Active Member

    Joined:
    Sep 17, 2014
    Posts:
    69
    Minecraft User:
    will
    Well, this works... kind of. I'm having a tough time crafting.
  7. Gamecrafter
    Offline

    Gamecrafter

    Joined:
    Nov 20, 2014
    Posts:
    978
    Plugins:
    9
    It isn't as simple as it sounds. You're not a dev, so you wouldn't know. Updating your plugins is a process that takes time. :p
  8. LDX
    Offline

    LDX Notable Member Plugin Developer

    Joined:
    Oct 2, 2013
    Posts:
    1,397
    Plugins:
    14
    The sad thing is that all appstores have automatic updates turned on by default. I'll be disabling all my friends' automatic updates and reverting their MC:pE versions to 0.11 when I see them in a few days.
  9. aghutton
    Offline

    aghutton New Member

    Joined:
    Feb 27, 2015
    Posts:
    2
    Minecraft User:
    Andrew
    Do you have a link for instructions on how to revert to 11.1 on an iPad? I will have to do this for my son.
  10. BalAnce
    Offline

    BalAnce Active Member

    Joined:
    Mar 10, 2015
    Posts:
    125
    Minecraft User:
    BalAnce
    wont be able to without jailbreaking.
    LDX likes this.
  11. WillotheBlessed
    Offline

    WillotheBlessed Active Member

    Joined:
    Sep 17, 2014
    Posts:
    69
    Minecraft User:
    will
    Let's get back on topic please.
  12. jojoe77777
    Offline

    jojoe77777 Notable Member Plugin Developer

    Joined:
    May 28, 2015
    Posts:
    653
    Plugins:
    1
    Minecraft User:
    jojoe77777
    I have that prob too, so I can't test Slapper....
  13. Jazzwhistle
    Offline

    Jazzwhistle Notable Member

    Joined:
    Dec 27, 2014
    Posts:
    364
    Minecraft User:
    Awzaw
    I've got the "Chinese" file working quite well on 2 servers now, but don't have slapper on them. What do you need to test?

    My players love your plugin - if you need a 1.6 server to test it, let me know.
    Last edited: Sep 10, 2015
  14. jojoe77777
    Offline

    jojoe77777 Notable Member Plugin Developer

    Joined:
    May 28, 2015
    Posts:
    653
    Plugins:
    1
    Minecraft User:
    jojoe77777
    I got English working fine, but I was going to test with perms (slapper.hit).
  15. Jazzwhistle
    Offline

    Jazzwhistle Notable Member

    Joined:
    Dec 27, 2014
    Posts:
    364
    Minecraft User:
    Awzaw
    Pureperms is completely broken though :-(
    LDX, FaanMaario and MCPEPIG like this.
  16. Mealto
    Offline

    Mealto New Member

    Joined:
    Sep 9, 2015
    Posts:
    8
    Alrighty gang, we need your help. We updated our iOS devices to the latest client and sure enough, cannot log in to the server anymore.

    1. Where can I find the latest packetmine release that allow us to log in to the server again?
    2. Can anyone share a tutorial on how to upgrade to the latest Pocketmine? If there are instructions, we can probably follow along.

    Thanks!
  17. Jazzwhistle
    Offline

    Jazzwhistle Notable Member

    Joined:
    Dec 27, 2014
    Posts:
    364
    Minecraft User:
    Awzaw
    Grab the phar file from either jojoe or the other link... Replace your pocketmine phar file with that one, edit the phar.conf file to 0.12... Delete pureperms and purechat, and any of the economy plugins... And restart the server.
  18. Mealto
    Offline

    Mealto New Member

    Joined:
    Sep 9, 2015
    Posts:
    8
    Thanks @jojoe77777
    By the way, we are new to the community. May I ask who rolled out this fix? I noticed this file and the current one we were using is pretty different in file size. Any ideas why? Just wanted to make sure we run the proper code that has been checked for safe online practices :). Thanks again!
  19. Mealto
    Offline

    Mealto New Member

    Joined:
    Sep 9, 2015
    Posts:
    8
    Doing that now. So we have to remove all Economy plugins? We just got that installed and have been using it quite a bit. Is there a way to just replace that file and keep the server going?
  20. Mealto
    Offline

    Mealto New Member

    Joined:
    Sep 9, 2015
    Posts:
    8
    I understand the part about replacing the .phar file. Can you explain what "edit the phar.conf file to 0.12" means?

Share This Page

Advertisement